MSSQL Features Don't Draw when Multiple Geometry Columns are Present 

2015-12-01 06:03 PM - Christian Frugard

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Data Provider/MSSQL

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21950

Description

In a table with multiple sptatial columns, it seems only one of the columns can be added and draw its features.  Both columns appear

when navigating through the "Add MSSQL Spatial Layer" menus.  One of the layers will function properly, the other will add to the project,

but will not draw any of its features on the map.  Curiously, you can select the dysfunctional layer and save the layer to (Shapefile,TAB

file, etc) and the features will draw properly in the newly created layer.  Deleting one of the columns in the table, so that there is now only

one spatial seems to fix the issue.

Associated revisions

Revision da211938 - 2018-10-08 09:01 AM - Nyall Dawson

[mssql] Fix handling of geometry column when multiple geometry/geography

columns are present

Fixes #13932

History

#1 - 2015-12-01 06:11 PM - Christian Frugard

Also, the tabular data in the layer seems to appear correctly.

#2 - 2015-12-04 07:09 AM - Christian Frugard

Also, I am finding that after some period of time, the "layer" that does work, stops functioning properly as well.

#3 - 2015-12-04 07:12 AM - Christian Frugard

- Assignee set to Tamas Szekeres

#4 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2017-05-25 10:15 AM - Jürgen Fischer

- Assignee deleted (Tamas Szekeres)

#6 - 2018-10-08 08:05 AM - Nyall Dawson

- Status changed from Open to In Progress
- Assignee set to Nyall Dawson

#7 - 2018-10-08 09:00 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|da211938944cda270976244115f21fd4ef6c825f.
